
Figure - Bug #118189
Bug # 118056 (CLOSED): IOVDEV-28916 【内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey测试第二天查看副屏黑屏不可操作

SurfaceFlinger 异常
2023-05-23 16:13 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-23

Priority: Urgent Due date: 2023-05-26

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.95.c103

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: User Experience Root cause:

Description

日志文件请查看118056 分析

Related issues:

Related to Figure - Bug # 117794: 【IOVDEV-25952】【VC1】【009... CLOSED 2023-05-06

History

#1 - 2023-05-23 18:16 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

创建Layer过多，无法继续创建新的Layer

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: AddClientLayer failed, mNumLayers (4096) >= MAX_LAYERS (4096)

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Root#0) ::  parent (no-parent).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (WindowedMagnification:0:31#0) ::  parent (Root#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (HideDisplayCutout:0:16#0) ::  parent (WindowedMagnification:0:31#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (OneHandedBackgroundPanel:0:1#0) ::  parent (HideDisplayCutout:0:16#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (OneHanded:0:1#0) ::  parent (OneHandedBackgroundPanel:0:1#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (FullscreenMagnification:0:1#0) ::  parent (OneHanded:0:1#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Leaf:0:1#0) ::  parent (FullscreenMagnification:0:1#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (WallpaperWindowToken{8e106c3 token=android.os.Binder@b5f5272}#0) ::  parent

(Surface(name=WallpaperWindowToken{8e106c3 token=android.os.Binder@b5f5272})/@0xe8c4ecf - animation-leash of window_animation#18).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (6def535 com.android.systemui.ImageWallpaper#0) ::  parent (WallpaperWindowToken{8e106c3

token=android.os.Binder@b5f5272}#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (com.android.systemui.ImageWallpaper#1) ::  parent (6def535 com.android.systemui.ImageWallpaper#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Wallpaper BBQ wrapper#0) ::  parent (com.android.systemui.ImageWallpaper#1).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (OneHanded:2:16#0) ::  parent (HideDisplayCutout:0:16#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (FullscreenMagnification:2:14#0) ::  parent (OneHanded:2:16#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (colorBackgroundLayer#0) ::  parent (DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (DefaultTaskDisplayArea#0) ::  parent (FullscreenMagnification:2:14#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Task=1#0) ::  parent (DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Task=70726#0) ::  parent (Task=1#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (ActivityRecord{1146687 u0 com.android.launcher3/.uioverrides.QuickstepLauncher#0) ::  parent (Task=70726#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (cd32ddd com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher#0) ::  parent

(ActivityRecord{1146687 u0 com.android.launcher3/.uioverrides.QuickstepLauncher#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=70726)/@0xd602a93 - animation-leash of recents_animation#0) ::  parent (Task=1#0).
05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#3) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=76384)/@0x4c2216a - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=74166)/@0xc8917e4 - animation-leash of app_transition#1) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#4) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#5) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=76384)/@0x4c2216a - animation-leash of app_transition#1) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71103)/@0x882c551 - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#7) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#8) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71103)/@0x882c551 - animation-leash of app_transition#1) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#9) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#10) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=76403)/@0x4b81575 - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#12) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#13) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=73385)/@0xd58798d - animation-leash of app_transition#1) ::  parent

(DefaultTaskDisplayArea#0).

05-18 06:16:13.132  1003  2730 E SurfaceFlinger: layer (Surface(name=Task=71068)/@0x6d7ceca - animation-leash of app_transition#15) ::  parent

(DefaultTaskDisplayArea#0).

与 #115534 问题类似，原生问题，其他项目也有

之前做了一版规避改善方案, 但是不包含此次问题中的app_transition类型的Layer，所以问题再次发生了

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/194038

■ 下一步计划

起一个高通case，依赖高通给出方案，光靠我们自己对不同类型的Layer做规避，可能无法完全修复此问题

#2 - 2023-05-23 21:43 - CDTS-TEST 周婷

- Due date set to 2023-05-26

#3 - 2023-05-24 15:12 - CD FW 曹覃刚

■ 我的分析

已起高通case:06641583

■ 下一步计划

推进高通分析，并将高通回复更新到票中
#4 - 2023-05-25 15:53 - CD FW 曹覃刚

■ 我的分析

已起高通case:06641583

高通回复需要dump的信息，已上传dump信息，并提供了复现的方式

■ 下一步计划

推进高通分析，并将高通回复更新到票中

#5 - 2023-05-26 17:00 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

05/26, 高通无回复

2.内部自己搞了个方案，但是在验证的时候，复现了 #118052 的问题，依赖 #118052  （优先采取高通提供的方案，内部方案仅作为备选）

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202428

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.推进 #118052

#6 - 2023-05-27 14:39 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

05/26, 高通无回复

2.内部自己搞了个方案，但是在验证的时候，复现了 #118052 的问题，加上了 #118052 的内部方案提交重新编译了版本, 在验证中 （优先采取高通提供的

方案，内部方案仅作为备选）

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202428

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202728

验证结果:目前monkey测试2个小时，未复现问题，继续跑测中

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.验证内部方案，需要长时间测试monkey, 已跑测monkey2个小时，继续跑测中

#7 - 2023-05-29 11:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202428 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Improvement of abnormal increase in LayerTC-RID: 1201-0205101IssueID: TS-R-BUG-118189Change-Id:

I103fb81d39b68e0253d6228ce889c16f41a1aa9f

#8 - 2023-05-29 16:31 - CD FW 曹覃刚
■ 我的分析

1.已起高通case:06641583

05/29, 高通无回复

2.内部自己搞了个方案，monkey测试12个小时，未复现此票中的问题，无周边影响，已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202428

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部方案，测试12个小时，未复现问题，无周边影响，已入库，在后续的版本中持续观察

#9 - 2023-05-30 14:57 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

05/30, 高通回复要了一些dump信息，TS已提供并回复

2.内部自己搞了个方案，已入库，观察中，05/30未爆出相关问题

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部方案已入库，在后续的版本中持续观察

#10 - 2023-05-31 15:50 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

05/31, 高通未回复，我们这边加了个commet要他们的号码 

2.内部自己搞了个方案，已入库，观察中，05/31未爆出相关问题

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部方案已入库，在后续的版本中持续观察

#11 - 2023-06-01 19:26 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

06/01, 高通回复让加个日志再复现下问题，提供新日志给他们

2.内部自己搞了个方案，已入库，观察中，06/01未爆出相关问题

■ 下一步计划

1.加日志复现，提供日志给高通，继续推进高通分析，并将高通回复更新到票中

2.内部方案已入库，在后续的版本中持续观察

#12 - 2023-06-02 19:56 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

06/02, 高通回复让再次加个另外的日志，再复现下问题，提供新日志给他们

2.内部自己搞了个方案，已入库，观察中，06/02未爆出相关问题
■ 下一步计划

1.加日志复现，提供日志给高通，继续推进高通分析，并将高通回复更新到票中

2.内部方案已入库，在后续的版本中持续观察

#13 - 2023-06-05 20:27 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

06/05, 高通回复让再次加日志，复现下问题，提供新日志给他们

2.做了个work around个方案(针对此票中异常增加的layer，做了一个销毁机制)，已入库，观察中，06/05未爆出相关问题

■ 下一步计划

1.已提供新的日志，继续推进高通分析，并将高通回复更新到票中

2.work around方案已入库，在后续的版本中持续观察

#14 - 2023-06-06 21:49 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641583

06/06, 高通未回复

2.做了个work around个方案(针对此票中异常增加的layer，做了一个销毁机制)，已入库，观察中，06/06未爆出相关问题

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.work around方案已入库，在后续的版本中持续观察

#15 - 2023-06-25 10:05 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

- Resolution changed from -- to DUPLICATE

已在JIRA 33351中处理，转jira跟踪

#16 - 2023-06-25 11:27 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to CD TEST-方永红

当前进展

问题发生时，app_transition类型的layer泄露的数量较少，而com.android.music和com.thundercomm.gamecenter的layer大量泄露

且app_transition类型的只发生过一次

1.com.android.music是原生的音乐应用，最新版本隐藏了入口。所以用户无法调用此应用。

2.com.thundercomm.gamecenter在点击图标的时候是直接启动了浏览器，不会启动此应用，所以用户也无法调用此应用。

因此在跑monkey时，将这两个应用加入到黑名单后，问题将不会发生

下一步计划

此票已经没有AI，请在新版本中跑monkey时,将这两个应用加入到黑名单，并持续观察
#17 - 2023-08-24 17:23 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#18 - 2023-09-11 16:08 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#19 - 2023-09-11 16:08 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

同票已验证通过
